- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.remoteAgents/fetchEditableRemoteAgents#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.remoteAgents/fetchEditableRemoteAgents#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.remoteAgents/fetchEditableRemoteAgents#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.remoteAgents/fetchEditableRemoteAgents#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.remoteAgents/fetchEditableRemoteAgents#body.FetchEditableRemoteAgentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.remoteAgents/fetchEditableRemoteAgents#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.remoteAgents/fetchEditableRemoteAgents#body.aspect_1)

**Full name**: projects.locations.instances.remoteAgents.fetchEditableRemoteAgents

Lists all RemoteAgents that the requesting user has permissions to edit.

### HTTP request

`GET https://{endpoint}/v1/{parent}/remoteAgents:fetchEditableRemoteAgents`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body must be empty.

### Response body

Response message for the remoteAgents.fetchEditableRemoteAgents method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "remoteAgents": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.remoteAgents#RemoteAgent`) } ] } ``` |

| Fields ||
|---|---|
| `remoteAgents[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.remoteAgents#RemoteAgent`)`` Output only. List of remote agents that the user can edit. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.remoteAgents.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).